Scientific Linux Forum.org



  Reply to this topicStart new topicStart Poll

> Nvidia Driver installation fails on SL 7.4 with GTX 1060 Max-Q Design, Installation Nvidia driver on SL 7.4
Ikeuchi
 Posted: Feb 10 2018, 02:29 PM
Quote Post


SLF Newbie


Group: Members
Posts: 4
Member No.: 3980
Joined: 10-February 18









Hi all.
I have a dell gaming laptop 7577 with GTX 1060 Max-Q design 6GB. After successfully installing SL 7.4. I tried to install Nvidia driver but despite so much efforts, I couldn't get it installed properly. I tried the guides according these links:
http://docs.nvidia.com/cuda/cuda-installation-guide-linux/index.html
https://www.if-not-true-then-false.com/2015/fedora-nvidia-guide/
But none of them works. Problem is after installing nvidia driver, when I did reboot, the screen was stopped on the line "Started Crash recovery kernel arming" or "Stared Gnome Display manager". I tried many many ways searched in different topics/forums to fix it but not succeed. So please show me if you know how to fix it. Thanks in advance.
PM
^
burakkucat
 Posted: Feb 10 2018, 04:45 PM
Quote Post


SLF Administrator
****

Group: Admins
Posts: 229
Member No.: 14
Joined: 10-April 11









I am unable to give you explicit instructions but have a few links to documentation which may assist --

nvidia-detect
kmod-nvidia
About the ELRepo Project
ELRepo Project Home Page
FAQs

--------------------
user posted image 100% Linux and, previously, Unix. Co-founder of the ELRepo Project.
PMUsers Website
^
Kalcifer
 Posted: Feb 10 2018, 09:01 PM
Quote Post


SLF Newbie


Group: Members
Posts: 3
Member No.: 3982
Joined: 10-February 18









Same thing after update that I have received today. Just black screen and sign Gnome manager on it. I've tried to use grub test_cnfiguration during boot, it showed that nvidia driver was damaged.
PM
^
toracat
 Posted: Feb 10 2018, 11:46 PM
Quote Post


SLF Geek
****

Group: Members
Posts: 314
Member No.: 11
Joined: 10-April 11









Please remove everything you have installed relating to the nvidia driver and follow the instructions given by burakkucat (start with the nvidia-detect page) to install ELRepo's Nvidia driver. If you have trouble, then provide the details as to what failed. We may be able to help you.

--------------------
ELRepo: repository specializing in hardware support for EL
PMUsers Website
^
Ikeuchi
 Posted: Feb 11 2018, 09:30 AM
Quote Post


SLF Newbie


Group: Members
Posts: 4
Member No.: 3980
Joined: 10-February 18









Hi toracat, burakkucat, I have tried what you said but nothing changed. "# nvidia-detect" output "kmod-nvidia", so I tried installing kmod-nividia and everrything seemed to be ok and package 390.25 was downloaded and installed automatically. But after rebooting, problem was still there on line" started crash recovery kernel arming". Finally I figured out my laptop is Nvidia Optimus laptop because when I did: lspci | grep -E "VGA|3D", the screen output 2 lines: one was on board integrated graphics card Intel HD 630 and other was GTX 1060 Max-Q. And problem is Nvidia PRIME Synchronization for Optimus will require Linux kernel 4.5+ with DRM-KMS support enabled. SE 7.4 ships with an outdated EOL kernel (3.10 which is 5 years old). So is there a way to install Nvidia driver on Optimus laptop running with Scientific 7.4? I found some ways to do that but none of them supports Scientific Linux. For example bumbleebee package supports Fedora only. Any suggestions?
PM
^
burakkucat
 Posted: Feb 11 2018, 02:46 PM
Quote Post


SLF Administrator
****

Group: Admins
Posts: 229
Member No.: 14
Joined: 10-April 11









Please make full use of the hints and links with which you were provided . . . above.

The following two links may be of use --

https://elrepo.org/tiki/Packages#B
https://elrepo.org/tiki/bumblebee

--------------------
user posted image 100% Linux and, previously, Unix. Co-founder of the ELRepo Project.
PMUsers Website
^
Ikeuchi
 Posted: Feb 11 2018, 06:17 PM
Quote Post


SLF Newbie


Group: Members
Posts: 4
Member No.: 3980
Joined: 10-February 18









QUOTE (burakkucat @ Feb 11 2018, 02:46 PM)
Please make full use of the hints and links with which you were provided . . . above.

The following two links may be of use --

https://elrepo.org/tiki/Packages#B
https://elrepo.org/tiki/bumblebee


I have fixed that with using bumblebee. I thought bumblebee supports fedora only, but it also works with SL 7 perfectly. Finally problem has been solved. Thank you all for great help.
PM
^
0 User(s) are reading this topic (0 Guests and 0 Anonymous Users)
0 Members:

Topic Options Reply to this topicStart new topicStart Poll